Diameter

Reference Manual

Version 2.1.4

- User's Guide
- Reference Manual
- Release Notes
- PDF
- Top

- Expand All
- Contract All

### Table of Contents

- diameter
  - Top of manual page
  - add_transport/2
  - call/4
  - origin_state_id/0
  - remove_transport/2
  - service_info/2
  - services/0
  - session_id/1
  - start/0
  - start_service/2
  - stop/0
  - stop_service/1
  - subscribe/1
  - unsubscribe/1
- diameterc
- diameter_app
  - Top of manual page
  - Mod:handle_answer/4
  - Mod:handle_error/4
  - Mod:handle_request/3
  - Mod:peer_down/3
  - Mod:peer_up/3
  - Mod:pick_peer/4
  - Mod:prepare_request/3
  - Mod:prepare_retransmit/3
- diameter_codec
  - Top of manual page
  - decode/2
  - encode/2
- diameter_dict
- diameter_make
  - Top of manual page
  - codec/2
  - flatten/1
  - format/1
  - format_error/1
- diameter_transport
  - Top of manual page
  - Mod:start/3
- diameter_tcp
  - Top of manual page
  - start/3
- diameter_sctp
  - Top of manual page
  - start/3

# diameterc

### Command

diameterc

### Command Summary

diameterc [<options>] <file>

### Description

The diameterc utility is used to compile a diameter dictionary file into Erlang source. The resulting source implements the interface diameter required to encode and decode the dictionary's messages and AVPs.

The module diameter_make(3) provides an alternate compilation interface.

### USAGE

diameterc [<options>] <file>

  Compile a single dictionary file to Erlang source. Valid options are as follows.

  -i <dir>

    Prepend the specified directory to the code path. Use to point at beam files compiled from inherited dictionaries, @inherits in a dictionary file creating a beam dependency, not an erl/hrl dependency.

    Multiple -i options can be specified.

  -o <dir>

    Write generated source to the specified directory. Defaults to the current working directory.

  -E
  -H

    Suppress erl and hrl generation, respectively.

  --name <name>
  --prefix <prefix>

    Transform the input dictionary before compilation, setting @name or @prefix to the specified string.

  --inherits <arg>

    Transform the input dictionary before compilation, appending @inherits of the specified string.

    Two forms of --inherits have special meaning:

        --inherits -
        --inherits Prev/Mod

    The first has the effect of clearing any previous inherits, the second of replacing a previous inherits of Prev to one of Mod. This allows the semantics of the input dictionary to be changed without modifying the file itself.

    Multiple --inherits options can be specified.

### EXIT STATUS

Returns 0 on success, non-zero on failure.

### SEE ALSO

diameter_make(3), diameter_dict(4)